@import '~/src/themes.scss';
@import '~/node_modules/@sat-valorisation/ui-components/assets/themes/themify.utils.scss';

html, body {
  margin: 0;
  padding: 0;
  font-size: 100%;

  width: 100vw;
  height: 100vh;
  overflow-y: hidden;
  background-color: #131313;
  box-sizing: border-box;
}

#PageLayout {
  background-color: #131313;
  width: 75%;
  height: 100vh;
  margin: 0 auto;

  display: grid;
  grid-template-rows: 1fr 5.5fr 0.75fr;// 116px(100%)-632px(554%)-86px(75%)->  1fr 5.5fr 0.75fr
  grid-template-areas:
    "header"
    "main"
    "footer";

  header {
    grid-area: header;
    align-self: center;

    .Header {
      display: flex;
      justify-content: space-between;
      box-shadow: 0px 1px 0px #545454;
    }

    h3 {
      margin: 1.5rem;
    }
  }

  main {
    grid-area: main;
    height: 100%;
    width: 100%;

    display: grid;
    grid-template-rows:  28rem 1fr;
    grid-template-columns: 1fr 2.3fr;

    background-color: #242424;
    border-radius: 1rem;
  }

  #PresetConnectorSchema {
    grid-column: span 2;
  }

  #PresetSceneSchema, #PresetConnectorSchema {
    padding: 2rem 1.5rem;
    overflow: hidden;
  }

  #ConfigurationSection, #ChecklistSection {
    width: 75%;

    .ConfigurationSectionContainer {
      display: flex;
      flex-direction: column;
      align-items: stretch;

      row-gap: 2rem;
      padding: 2rem 4rem;

      .ConfigurationSectionHeader{
        display: flex;
        justify-content: space-between;
        align-items: center;

        font-weight: 500;
      }

      .ConfigurationSectionForm {
        display: flex;
        flex-direction: column;

        row-gap: 2rem;

        .InputSelect {
          width: 100%;
        }

      .ConfigurationSectionFormFooter {
        display: flex;
        justify-content: flex-end;
      }
    }
  }
  }
}

.Label {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;

    .hdmi-label {
      background-color: #488854;
      box-shadow: inset 0px 1px 0px #000000
    }

    .usb-label {
      background-color: #8331A0;
      box-shadow: inset 0px 1px 0px #000000
    }

    &.ndi-label, .bluetooth-label {
      background-color: #000000;
      box-shadow: inset 0px 1px 0px #000000
    }

    &.xlr-jack-label {
      background-color: #EC9717;
      box-shadow: inset 0px 1px 0px #000000
    }
  }

  .SelectedItem {
    .hdmi-label {
      background-color: #488854;
    }

    .usb-label {
      background-color: #8331A0;
    }

    &.ndi-label, .bluetooth-label {
      background-color: #000000;
    }

    &.xlr-label {
      background-color: #EC9717;
    }
  }


@include themify('Page', $themes) {
  &#PageLayout {
    font-family: themed('font-family');
    color: themed('font-color');
    background-color: themed('neutral-background');
  }
}
